MacOSX10.6,XAMPP,python2.6.1で、MySQL-python1.2.3をインストールしたいのですが、エラーがでてしまいうまくいきません。

XAMPPのMySQLをpythonで利用したいと考えています。

$ python setup.py build
running build
running build_py
copying MySQLdb/release.py -> build/lib.macosx-10.6-universal-2.6/MySQLdb
running build_ext
building '_mysql' extension
gcc-4.2 -fno-strict-aliasing -fno-common -dynamic -DNDEBUG -g -fwrapv -Os -Wall -Wstrict-prototypes -DENABLE_DTRACE -pipe -Dversion_info=(1,2,3,'final',0) -D__version__=1.2.3 -I/Applications/XAMPP/xamppfiles/include/mysql -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -c _mysql.c -o build/temp.macosx-10.6-universal-2.6/_mysql.o -mmacosx-version-min=10.4 -arch i386 -arch ppc -D_P1003_1B_VISIBLE -DSIGNAL_WITH_VIO_CLOSE -DSIGNALS_DONT_BREAK_READ -DIGNORE_SIGHUP_SIGQUIT -DDONT_DECLARE_CXA_PURE_VIRTUAL
_mysql.c:36:23: error: my_config.h: No such file or directory

というエラーから始まってほとんどが、_mysql.cのエラーや警告で

error: command 'gcc-4.2' failed with exit status 1

で終了してしまいます。
解決方法を教えてください。

回答の条件
  • 1人3回まで
  • 登録:2010/09/05 14:06:40
  • 終了:2010/09/10 23:06:09

回答(1件)

id:tasklight No.1

tasklight回答回数323ベストアンサー獲得回数402010/09/05 15:21:24

ポイント60pt

"/opt/local/include/mysql5/mysql/my_config.h" が存在しますか?

もし無ければ、XAMPPではなくMySQLをパッケージインストールしてみてください。

コメントはまだありません

この質問への反応(ブックマークコメント)

トラックバック

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません